from distutils.core import setup
from numarrayext import NumarrayExtension
import sys

setup(name = "numarray examples",
      version = "0.2",
      description = "Example submodule for numarray",
      package_dir={"numarray.numarray_examples":"."},
      packages=["numarray.numarray_examples",
                "numarray.numarray_examples.convolve",
                ],
      ext_modules=[NumarrayExtension("numarray.numarray_examples.convolve.high_level",
                                     ["convolve/high_levelmodule.c"]),
                   NumarrayExtension("numarray.numarray_examples.convolve.element_wise",
                                     ["convolve/element_wisemodule.c"]),
                   NumarrayExtension("numarray.numarray_examples.convolve.one_dimensional",
                                     ["convolve/one_dimensionalmodule.c"]),
                   NumarrayExtension("numarray.numarray_examples.convolve.numpy_compat",
                                     ["convolve/numpy_compatmodule.c"]),
                   ],
      )

